package com.zanxiang.manage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.manage.domain.dto.GameDTO;
import com.zanxiang.manage.domain.vo.GameChoiceVO;
import com.zanxiang.mybatis.entity.Game;

import java.util.List;
import java.util.Map;

/**
 * @author : lingfeng
 * @time : 2022-06-24
 * @description : 游戏逻辑
 */
public interface GameService extends IService<Game> {

    /**
     * 游戏选择列表查询
     *
     * @return : 返回所有游戏信息
     */
    List<GameChoiceVO> choiceList();

    /**
     * 根据id查询游戏信息
     *
     * @param id : 游戏id
     * @return : 返回游戏信息
     */
    GameDTO getById(Long id);

    /**
     * 游戏相关条件查询游戏信息
     *
     * @param cpId           : cp唯一键
     * @param gameId         : 游戏id
     * @param gameCategoryId : 分类id
     * @return : 返回游戏信息列表
     */
    Map<Long, GameDTO> gameCondition(Long cpId, Long gameId, Long gameCategoryId);

    /**
     * 游戏查询条件
     *
     * @param cpId           : cp唯一键
     * @param gameId         : 游戏id
     * @param gameCategoryId : 分类id
     * @return : 返回游戏信息列表, null 标识未匹配到游戏, 空表示没有条件
     */
    List<GameDTO> getGameList(Long cpId, Long gameId, Long gameCategoryId);
}
