package com.zanxiang.mybatis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2022-06-06
 * @description : 玩家表
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Builder
@TableName("h_user")
public class User {

    /**
     * id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 所属渠道ID
     */
    private Long agentId;

    /**
     * 用户名
     */
    private String username;

    /**
     * 昵称
     */
    private String nickname;

    /**
     * 密码
     */
    private String password;

    /**
     * 绑定邮箱
     */
    private String email;

    /**
     * 绑定手机号码
     */
    private String mobile;

    /**
     * 绑定支付宝账号
     */
    private String aliPay;

    /**
     * 设备来源 mobile,android,iphone,ipad,web,pc,mac,wxapp
     */
    private String fromDevice;

    /**
     * 设备ID android 为imei ios 为idfa
     */
    private String deviceId;

    /**
     * 设备类型
     */
    private Integer deviceType;

    /**
     * -1 为冻结状态, 1 为试玩状态 2为正常状态
     */
    private Integer status;

    /**
     * 头像
     */
    private String avatar;

    /**
     * 渠道
     */
    private Long channel;

    /**
     * 注册时间
     */
    private LocalDateTime createTime;

    /**
     * 更改时间
     */
    private LocalDateTime updateTime;
}